/************** ECE2049 DEMO CODE ******************/
/************** 14 May 2018   **********************/
/***************************************************/

#include <msp430.h>

/* Peripherals.c and .h are where the functions that implement
 * the LEDs and keypad, etc are. It is often useful to organize
 * your code by putting like functions together in files.
 * You include the header associated with that file(s)
 * into the main file of your project. */
#include "peripherals.h"


// Function Prototypes
void swDelay(char numLoops);

// Declare globals here

// Main
void main(void)
{
    WDTCTL = WDTPW | WDTHOLD;    // Stop watchdog timer. Always need to stop this!!
                                 // You can then configure it properly, if desired

    // *** System initialization ***
    initLaunchpadButtons();
    initLaunchpadLeds();
    configDisplay();

    Graphics_clearDisplay(&g_sContext); // Clear the display
    Graphics_flushBuffer(&g_sContext);

    int a[4] = {1, 2, 3, 4};
    int b[4] = {1, 2, 3, 4};

    if (a == b) {
        Graphics_drawStringCentered(&g_sContext, "TRUE",  AUTO_STRING_LENGTH, 48, 15, TRANSPARENT_TEXT);
    } else {
        Graphics_drawStringCentered(&g_sContext, "FALSE",  AUTO_STRING_LENGTH, 48, 15, TRANSPARENT_TEXT);
    }

    // Refresh the display so it shows what we just wrote
    Graphics_flushBuffer(&g_sContext);

    // We're done, so no need to do anything here
    while (1)
    {
    }  // end while (1)
}


void swDelay(char numLoops)
{
	// This function is a software delay. It performs
	// useless loops to waste a bit of time
	//
	// Input: numLoops = number of delay loops to execute
	// Output: none
	//
	// smj, ECE2049, 25 Aug 2013

	volatile unsigned int i,j;	// volatile to prevent removal in optimization
			                    // by compiler. Functionally this is useless code

	for (j=0; j<numLoops; j++)
    {
    	i = 50000 ;					// SW Delay
   	    while (i > 0)				// could also have used while (i)
	       i--;
    }
}
